// Datei: protos.h
//
// 23.03.2002
// Compiler CC5x
// CC5x mag es nicht wenn in den Prototypen Namen verwendet werden !
// z.B. extern void Delay1ms(unsigned char time);

#ifndef PROTOS_H  //Mehrfache includes vermeiden
#define PROTOS_H

//i2c.c
extern void I2C_STOP();
extern void I2C_START();
extern void I2C_Write(unsigned char);
extern unsigned char I2C_Read(unsigned char);

//Delay.c
extern void Delay1ms(unsigned char);
extern void Delay10us();
extern void Delay100us(unsigned char);

//Ansteuerung der LCD-Anzeige LCD.C
extern void LCDInit();
extern void LCDPos(unsigned char,unsigned char);
extern void LCDCls();
extern void LCDWriteChar(char);
extern void LCDWrite(const char *);
extern void LCDWriteByte(unsigned char);
extern void LCDWriteRaw(unsigned char);
extern void LCDCursorOn();
extern void LCDCursorOff();
extern void LCDCursorBlink();

#endif
